
#include "mosbutton.h"


MOSButton::MOSButton()
{	
	

}
MOSButton::~MOSButton()
{


}

BOOL MOSButton::Bas(MOSSprite sprite,float mousex1,float mousey1)
{
	

	if(mousex1 > sprite.GetPosX() && mousex1 < sprite.GetPosX()+sprite.GetWidth() && mousey1 > sprite.GetPosY() && mousey1 < sprite.GetPosY() + sprite.GetHeight())
		{
	

			return TRUE;
		}



	return FALSE;
}
BOOL MOSButton::Bas(MOSSprite sprite,MOSSprite carp,int cikar)
{
	

	if(carp.GetPosX()+carp.en > sprite.GetPosX() && carp.GetPosX() < sprite.GetPosX()+sprite.GetWidth() && carp.GetPosY()+carp.boy > sprite.GetPosY() && carp.GetPosY() < sprite.GetPosY() + (sprite.GetHeight()-cikar))
		{
	

			return TRUE;
		}



	return FALSE;
}
BOOL MOSButton::Bas(float x,float y,float xarti,float yarti,float mousex1,float mousey1)
{
	

	if(mousex1 > x && mousex1 < x+xarti && mousey1 > y && mousey1 < y+yarti)
		{
	

			return TRUE;
		}



	return FALSE;
}
